Subject: Re: [Intel-wired-lan] [PATCH] pci: Limit VPD reads for all Intel Ethernet devices

From: Alexander Duyck <[email-masked]>
Date: Tue, 19 May 2015 14:17:04 -0700

On 05/19/2015 02:04 PM, Rustad, Mark D wrote:
>> On May 19, 2015, at 1:39 PM, Alexander Duyck <[email-masked]> wrote:
>>
>> So how does this improve boot time anyway?  The original patch description said this improved boot time and reduced memory usage but I have yet to find where any of those gains would actually occur.  If you can point me in that direction I might have a better idea of the motivations behind this.
> I have to admit that you won't find them in the kernel, but systems that read VPD in the course of starting up will benefit by not reading lots of useless stuff so slowly. At least those reads will be slow on any device that reads VPD from slow hardware. Since the kernel would never perform any of those reads itself, in isolation the kernel has no benefit. However the system gets a benefit.
>
> I can delete the reference to a memory benefit, since it would be a fleeting benefit at most and not a kernel memory footprint issue.
>
> This is not a big deal for me. If you don't see the value, drop it. Some people are interested in speeding up boot. Apparently VPD is now being accessed in parallel by user space as a result of such work, exposing the problem addressed in the other patch. I saw this opportunity while trying to resolve that issue. If it isn't worth it, drop it.

Any chance you could point me toward the software in question?  Just 
wondering because it seems like what you are fixing with this is an 
implementation issue in the application since you really shouldn't be 
accessing areas outside the scope of the VPD data structure, and doing 
so is undefined in terms of what happens if you do.

- Alex